Subject: RE: Country Codes

From: David Burdett <[email-masked]>
Date: Mon, 3 May 1999 23:00:06 +0100

Tony/Tom

By my reckoning, IOTP doesn't need ANY country codes at least not in the
DTD, although it's quite possible that a payment protocol might need one
(e.g. SET).

If you try searching for "country" in the IOTP spec it occurs in two places:
*	in the "Order Component" section 6.4, where it is used in the
description of the "Applicable Law". This is defined as "A phrase in the
language defined by xml:lang which describes the state or country of
jurisdiction which will apply in resolving problems or disputes", and
*	in the "Postal Address Element" where it is defined as "The country
for the address. e.g. 'UK' ". As this is an attribute of an address which
could be printed, we shouldn't use country codes. For example to put the
country as "FR" (or a number) instead of "France" really would confuse the
postman.

Therefore choosing a preferred format for country codes in IOTP is purely
academic and actually can't be specified since we have nowhere in the
specification to put it !!  

Does anyone disagree?

David
PS However *if* we did find a need for one, I'd agree with Tony ;-)

> ----------
> From: 	Lewis, Tony[SMTP:[email-masked]]
> Sent: 	30 April 1999 13:44
> To: 	Ietf Trade WG
> Subject: 	RE: Country Codes
> 
> I recommend settling on one representation. Otherwise, implementers who
> want
> to interoperate with everyone have to implement every possible way of
> encoding the information.
> 
> Tony
> > ----------
> > From: 	Tom Arnold[SMTP:[email-masked]]
> > Sent: 	Friday, April 30, 1999 11:35 AM
> > To: 	Ietf Trade WG
> > Subject: 	Re: Country Codes
> > 
> > I think it would be appropriate to specify ISO 3166 for the country code
> > and leave the specification of whether to use alpha 2 or alpha 3
> character
> > codes to the implementers.  
> > 
> > At 12:00 AM 4/30/99 +0100, David Burdett wrote: 
> > >A while back there was discussion about country codes (see emails from
> > Tom 
> > >Arnold on 14 March and Don Eastlake on 17 March) that suggested  
> > >	In the same manner that ISO4217 is specified for currency codes, 
> > >should country codes be specified to ISO3166? Also, does it matter if
> two
> > or 
> > >three character codes are used? 
> > > 
> > >In IOTP country is only used as part of an address (see Postal Address 
> > >Element). Therefore mandating use of country codes doesn't seem to be 
> > >necessary in my view as I can't think how it would be used although I'm
> > open 
> > >to counter arguments. 
> > > 
> > > [snip] 
> > 
> > 
> > Tom Arnold 
> > Vice President of Engineering 
> > Chief Technical Officer 
> > CyberSource Corporation 
> > [email-masked] 
> > 
> > ------------------------------------------------------------------------
> 
> > This Email and any attached files are confidential and may also be
> > privileged.  It is intended only for the individual or entity to whom it
> > is addressed.  If you are not the recipient or an authorized agent of
> the
> > recipient, you are hereby notified that any use, dissemination,
> > distribution or copying of this communication is strictly prohibited.
> If
> > you have received this message in error, please contact CyberSource
> > Corporation immediately at (408) 556-9100.  Thank you. 
> > 
> > -----------------------------------------------------------------------
> > Message addressed to: [email-masked] Archive available at:
> > http://www.elistx.com/archives/ietf-trade/ To (un)subscribe send a
> message
> > with "subscribe" or "unsubscribe" in the body to:
> > [email-masked]
> > 
> -----------------------------------------------------------------------
> Message addressed to: [email-masked]
> Archive available at: http://www.elistx.com/archives/ietf-trade/
> To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
> body to: [email-masked]
> 

**********************************************************************************************

This Email and any attached files are confidential and may also be privileged. 
If you are not the intended recipient, please notify the postmaster using email 
address [email-masked] or call +44 171 557 5000 and ask for the 
IT Helpdesk.  You should not copy this email and any attached files, use them 
for any purpose or disclose the contents to any other person; all copies of the 
Email and associated files in your possession should be destroyed.

Mondex International Limited
47-53 Cannon Street
London EC4M 5SQ
United Kingdom
Registered No: 3122085, England

Phone:          +44 171 557 5000
Fax:            +44 171 557 5200
Email:          [email-masked]
WebSite:        http://www.mondexinternational.com

*********************************************************************************************
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]